<?php
// $Id: securesite.inc,v 1.10.2.10 2008/03/24 00:42:39 junyor Exp $

/**
 * Returns complete form for login
 */
function _securesite_login_form() {
  return "\n  <h1>". t('Login') .'</h1>
  <div id="login">'. variable_get('securesite_login_form', t('<p>Enter your %site username and password.</p>', array('%site' => variable_get('site_name', 'Drupal')))) . (!isset($_POST['securesite_request_form']) ? theme('status_messages') : '') .'</div>
  <form action="'. request_uri() .'" method="post">
    <p><label>'. t('Username') .': <input type="text" maxlength="55" class="form-text" name="edit[name]" id="edit-name" value=""></label></p>
    <p><label>'. t('Password') .': <input type="password" class="form-password" maxlength="24" name="edit[pass]" id="edit-pass" value=""></label></p>
    <p><input type="hidden" name="securesite_login_form" value="1"><input type="submit" class="form-submit" name="op" value="'. t('Login') .'"></p>
  </form>
  
';
}

/**
 * Returns complete form for password reset request -if- securesite_request_form var exists
 */
function _securesite_request_form() {
  $securesite_enabled = variable_get('securesite_enabled', SECURESITE_DISABLED);

  if ($form_msg = variable_get('securesite_request_form', t('<p>Enter your username <em>and</em> your e-mail address.</p>'))) {
    if ($securesite_enabled == SECURESITE_FORM) {
      // Only output the HR if also outputting the Login form
      $output = "  <hr>\n\n  ";
    } 

    $output .= "\n  <h1>". t('Password Reset') .'</h1>
  <div id="reset">'. $form_msg .'</div>
  '. theme('status_messages') .'
  <form action="'. request_uri() .'" method="post">
    <p><label>'. t('Username') .': <input type="text" maxlength="55" class="form-text" name="edit[name]" id="edit-name" value=""></label></p>
    <p><label>'. t('E-mail address') .': <input type="text" maxlength="64" class="form-text" name="edit[mail]" id="edit-mail" value=""></label></p>
    <p><input type="hidden" name="securesite_request_form" value="1"><input type="submit" class="form-submit" name="op" value="'. t('E-mail new password') .'"></p>
  </form>

';
  }
  else if ($securesite_enabled == SECURESITE_AUTH || $securesite_enabled == SECURESITE_AUTH_ALT) {
    // If password reset is disabled and the login form isn't being used, output a message
    // to the user informing them how to login
    $output = theme('status_messages') .'<p id="password">'. t('Reload the page to try logging in again.') ."</p>\n";
  }

  return $output;
}

/**
 * Print HTML dialog page for securesite
 */
function _securesite_dialog_page($content) {
  // Display themed dialog
  $theme_path = drupal_get_path('theme', variable_get('theme_default', 'garland'));
  $dialog_file = '/securesite-dialog.tpl.php';
  if (file_exists($theme_path . $dialog_file)) {
    include_once($theme_path . $dialog_file);
  }
  else {
    include_once(drupal_get_path('module', 'securesite') . $dialog_file);
  }
}
